/**
 * Web唐明明
 * 匆匆数载恍如梦，岁月迢迢华发增。
 * 碌碌无为枉半生，一朝惊醒万事空。
 * moduleName: 签到
 */

import { request } from '../index'

// 首页
const index = () =>{
	return request({
		url: 'health/recipes'
	})
}

// 分类
const categories = () =>{
	return request({
		url: 'health/recipe/categories'
	})
}

// 分类-列表
const queue = (data) =>{
	return request({
		url: 'health/recipe/lists',
        data:data
	})
}

// 详情
const menuDet = (recipe) =>{
	return request({
		url: 'health/recipes/' + recipe
	})
}

// 指南引导
const guide = (recipe) =>{
	return request({
		url: 'articles/health/guide'
	})
}

// 搜索页
const search = () =>{
	return request({
		url: 'health/foods/search'
	})
}

export {
	index,
    categories,
    queue,
    menuDet,
    guide,
    search
}
